Subject: bug#69555: 30.0.50; shr - Preserve indentation when shr-fill-text is nil

From: Rahguzar <[email-masked]>
Date: Wed, 06 Mar 2024 08:27:50 +0100

Hi Kévin,

Kévin Le Gouguec <[email-masked]> writes:

> Perhaps; I could look into adding that knob.  FWIW nothing in the
> original feature request (bug#66676) gives me the impression that this
> new option should affect indentation; the stated motivation was:
>
>   > 1) Using `visual-line-mode` for line wrapping. I think this is more
>   > natural for html and makes resizing windows work more nicely.
>
> That's why I interpret the indentation change as a side-effect; curious
> to hear Rahguzar's thoughts though.

You are right that losing indentation was not intentional and an
oversight on my part. Thanks for the fix. I will test it soon.

Rahguzar